Ask Your Question
2

Install ROS-Melodic on Ubuntu 18 (Bionic): unmet dependencies / Unable to locate package

asked 2018-10-25 09:52:04 -0600

Sumit Dey gravatar image

updated 2018-10-25 09:59:17 -0600

To install ROS Melodic on Ubuntu 18.04 (Bionic), I am following the instructions given here.

$ sudo apt-get install ros-melodic-desktop-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ros-melodic-desktop-full : Depends: ros-melodic-perception but it is not going to be installed
                            Depends: ros-melodic-simulators but it is not going to be installed
                            Depends: ros-melodic-urdf-sim-tutorial but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Dependencies of ros-melodic-simulators & ros-melodic-urdf-sim-tutorial can be taken care of by installing gazebo from here.

Attempt to install ros-melodic-perception using apt results in,

ros-melodic-perception : Depends: ros-melodic-perception-pcl but it is not going to be installed

Consequently, attempt to install ros-melodic-perception-pcl results in,

ros-melodic-perception-pcl : Depends: ros-melodic-pcl-conversions but it is not going to be installed
                             Depends: ros-melodic-pcl-ros but it is not going to be installed

However, neither ros-melodic-pcl-conversions could be found,

$ sudo apt install ros-melodic-perception-pcl-conversions
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package ros-melodic-perception-pcl-conversions

nor ros-melodic-pcl-ros.

$ sudo apt install ros-melodic-perception-pcl-ros
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package ros-melodic-perception-pcl-ros

As mentioned in the installation instructions, Ubuntu repositories have been configured to download from "main", "restricted," "universe," and "multiverse".

image description

What is going wrong in there?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2018-10-25 10:23:12 -0600

paulbovbel gravatar image

These are not the package names, which explains why apt can't find them:

E: Unable to locate package ros-melodic-perception-pcl-ros E: Unable to locate package ros-melodic-perception-pcl-conversions

This _should_ work without any additional fiddling: apt-get install ros-melodic-desktop-full

So it's likely your system install is borked in some way. Try using aptitude instead of apt-get, which is much more clever about telling you what's wrong and how to fix it.

edit flag offensive delete link more

Comments

aptitude did the job. Thanks. Problem: vtk-7 was installed.. where as melodic needs vtk-6.

Sumit Dey gravatar imageSumit Dey ( 2018-10-25 11:29:32 -0600 )edit

Failed for me. Does anyone QA these instructions?

jurban1997 gravatar imagejurban1997 ( 2018-11-10 00:29:19 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-10-25 09:52:04 -0600

Seen: 3,064 times

Last updated: Oct 27